# class StringArray | A String array. More...
Full name | `TelEngine::StringArray`
Definition | `#include <libs/yjabber/xmpputils.h>`
Inherited by | XMPPError, XMPPNamespace, XmlTag
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline StringArray (const String* array, unsigned int len)
- inline const String& at (unsigned int index) const
- inline const String& operator[] (unsigned int index) const
- inline int operator[] (const String& token)

#### Protected Members

- String* m_array
- unsigned int m_length

## Detailed Description

Implements a String array set from an already allocated

inline StringArray (const String* array, unsigned int len) | ### StringArray

Constructor

Parameters:

array | The array
len | Array length

inline const String& at (unsigned int index) | ### at

[const]

Return the string at a given index (safe)

Parameters:

index | The index in the array

Returns: The String at the requested index or an empty one if the index is invalid

inline const String& operator[] (unsigned int index) | ### operator[]

[const]

Return the string at a given index (unsafe)

Parameters:

index | The index in the array

Returns: The String at the requested index

inline int operator[] (const String& token) | ### operator[]

Lookup for an integer associated with a given String

Parameters:

token | The String find

Returns: Token value or 0 if not found

String* m_array | ### m_array

[protected]

unsigned int m_length | ### m_length

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.